# Method: dynamicTargetingKeys.delete

- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicTargetingKeys/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicTargetingKeys/delete#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicTargetingKeys/delete#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicTargetingKeys/delete#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicTargetingKeys/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicTargetingKeys/delete#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicTargetingKeys/delete#try-it)

Deletes an existing dynamic targeting key.

### HTTP request

`DELETE https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/dynamicTargetingKeys/{objectId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |
| `objectId` | `string (https://developers.google.com/discovery/v1/type-format format)` ID of the object of this dynamic targeting key. This is a required field. |

### Query parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of this dynamic targeting key. This is a required field. Must be less than 256 characters long and cannot contain commas. All characters are converted to lowercase. |
| `objectType` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicTargetingKeys#ObjectType`)`` Required. Type of the object of this dynamic targeting key. This is a required field. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`